Bug 169615 - lang/f2c buggy port
Summary: lang/f2c buggy port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-02 21:30 UTC by yerenkow
Modified: 2012-07-18 06:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yerenkow 2012-07-02 21:30:14 UTC
With unzip in base,  
line
EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip 

should be replaced with 

EXTRACT_DEPENDS=${UNZIP_CMD}:${PORTSDIR}/archivers/unzip

or else, port failing whe detects that unzip is somewhere, but it not in UNZIP_CMD
Comment 1 Edwin Groothuis freebsd_committer 2012-07-16 07:59:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-07-18 06:27:17 UTC
Author: maho
Date: Wed Jul 18 05:27:03 2012
New Revision: 301061
URL: http://svn.freebsd.org/changeset/ports/301061

Log:
  Fix depedency to unzip command.
  
  PR:		169615
  Submitted by:	Alexander Yerenkow <yerenkow@gmail.com>

Modified:
  head/lang/f2c/Makefile

Modified: head/lang/f2c/Makefile
==============================================================================
--- head/lang/f2c/Makefile	Wed Jul 18 04:58:30 2012	(r301060)
+++ head/lang/f2c/Makefile	Wed Jul 18 05:27:03 2012	(r301061)
@@ -18,7 +18,7 @@ DIST_SUBDIR=	${PORTNAME}-${PORTVERSION}
 MAINTAINER=	maho@FreeBSD.org
 COMMENT=	Fortran-to-C converter and its run-time libraries
 
-EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
+EXTRACT_DEPENDS=	${UNZIP_CMD}:${PORTSDIR}/archivers/unzip
 
 GUNZIP_CMD=	minigzip -d
 USE_GMAKE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Maho Nakata freebsd_committer 2012-07-18 06:27:32 UTC
State Changed
From-To: open->closed

committed, thanks!